Documentation Index
Fetch the complete documentation index at: https://doc.soleaspay.com/llms.txt Use this file to discover all available pages before exploring further.
Create Card
Create a new virtual card for a user
OpenAPI
POST /api/action/card/{userId}
openapi: 3.1.0
info:
title: SoleasPay API
description: API to authenticate and receive a bearer token from SoleasPay
license:
name: MIT
version: 1.0.0
servers:
- url: https://sandbox.soleaspay.com
security:
- bearerAuth: []
paths:
/api/action/card/{userId}:
post:
summary: Create a virtual card
description: Create a new virtual card for a user
parameters:
- name: x-sp-auth-token
in: header
required: true
schema:
type: string
- name: userId
in: path
required: true
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
properties:
balance:
type: string
example: '10'
currency:
type: string
example: USD
card_type:
type: string
enum:
- VISA
- MASTERCARD
category:
type: string
enum:
- PERSONAL
- BUSINESS
grade:
type: string
enum:
- BASIC
- PREMIUM
required:
- balance
- currency
- card_type
- category
- grade
responses:
'201':
description: Card created successfully
content:
application/json:
schema:
type: object
properties:
card_id:
type: string
card_number:
type: string
expiry:
type: string
cvv:
type: string
security:
- bearerAuth: []
components:
securitySchemes:
bearerAuth:
type: http
scheme: bearer
